Subject: Re: GSoC 2016: applications open, deadline = Fri, 19/2

From: Matthieu Moy <[email-masked]>
Date: Mon, 22 Feb 2016 11:22:48 +0100

Duy Nguyen <[email-masked]> writes:

> On Sat, Feb 13, 2016 at 6:21 PM, Matthieu Moy
> <[email-masked]> wrote:
>> Less urgent, but we need to add more stuff to be credible:
>>
>> ...
>>
>> http://git.github.io/SoC-2016-Microprojects/ => I just did s/2015/2016/.
>> I think most projects are not valid anymore, and we need new ones.
>>
>> To all: please contribute to these pages, either by sending patches here
>> (CC: me and peff), pushing directly if you have access, or submitting
>> pull-requests. The repo is https://github.com/git/git.github.io/.
>
> Idea for microprojects. If you compile using gcc with -Wshadow, it
> spots local variables that shadow another local or global variables.
> These are usually bad because it makes it's easy to make mistakes when
> changing the code.

I hade a look an a few instances of the warning, and all of them were
bad (sometimes even suspicious, I wouldn't be surprised if we found real
bugs hunting these down).

> _If_ you agree shadow vars are bad and should be exterminated,
> 'master' has 94 warnings spreading over 49 files. A student can pick
> _one_ file and try to fix all warnings in that file. There are many
> possible approaches (rename, combine vars, change scope, even
> restructure/kill global vars..), plenty of room for discussion.

+1.

Are there counter-arguments to this?

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/